Subject: Rebasing Apache not working
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Fri, 09 Aug 2002 21:00:32 -0700
Newsgroups: gmane.os.cygwin

This is weird. After reading about using rebase to "fix"  certain dlls 
so that Apache under Cygwin would run I was able to perform those 
rebases and get Apache to work on my work computer. However I have been 
unable to do this on my home computer.

I set up a little script to do the rebasing:

#!/bin/bash
# Rebase Apache libraries
libs="\
  /lib/apache/*.dll\
  /bin/cygbz21.0.dll\
  /bin/cygcrypto.dll\
  /bin/cygexslt-0.dll\
  /bin/cygform5.dll\
  /bin/cygform6.dll\
  /bin/cyggdbm.dll\
  /bin/cyghistory4.dll\
  /bin/cyghistory5.dll\
  /bin/cygintl-1.dll\
  /bin/cygintl.dll\
  /bin/cygitcl30.dll\
  /bin/cygitk30.dll\
  /bin/cygjpeg6b.dll\
  /bin/cygltdl-3.dll\
  /bin/cygmenu5.dll\
  /bin/cygmenu6.dll\
  /bin/cygncurses++5.dll\
  /bin/cygncurses++6.dll\
  /bin/cygncurses5.dll\
  /bin/cygncurses6.dll\
  /bin/cygpanel5.dll\
  /bin/cygpanel6.dll\
  /bin/cygpcre.dll\
  /bin/cygpcreposix.dll\
  /bin/cygreadline4.dll\
  /bin/cygreadline5.dll\
  /bin/cygregex.dll\
  /bin/cygssl.dll\
  /bin/cygtclreg80.dll\
  /bin/cygtiff3.dll\
  /bin/cygtk80.dll\
  /bin/cygxml2-2.dll\
  /bin/cygxslt-1.dll\
  /bin/cygxsltbreakpoint-1.dll\
  /bin/cygz.dll\
"

rebase=/usr/lib/apache/new/rebase
rebase_opts="-d -b 0x68000000 -o 0x10000"

for dll in $libs; do
  echo "Rebasing lib $dll"
  $rebase $rebase_opts $dll
done

It runs OK, rebasing all of those dlls. However when I apachectl start 
Apache I get the following listed in Apaches error log:

C:\Cygwin\usr\sbin\httpd.exe: *** unable to remap 
C:\Cygwin\lib\apache\mod_negotiation.dll to same address as parent -- 
0x6E0000
     19 [main] httpd 3464 sync_with_child: child 3288(0x6AC) died before 
initialization with status code 0x1
  46314 [main] httpd 3464 sync_with_child: *** child state child loading 
dlls
fork: Resource temporarily unavailable
httpd: unable to fork new process

Any ideas? How does one know what values to choose for -b and -o?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/